@echo off
SET SOURCEFILE=FBSWorker.exe
SET SOURCEPATH="%~dp0"
SET INSTALLPATH="%PROGRAMFILES%\Ferro Software\Ferro Backup System"

echo. >nul
echo.
echo *********************************************
echo    Zdalny instalator programu FBS Worker
echo *********************************************
IF "%1"=="" (echo. 
echo Ten skrypt kopiuje klienta FBS na komputer, 
echo z ktorego skrypt zostal uruchomiony,
echo a nastepnie instaluje go i uruchamia usluge.
echo.
echo Umiesc plik %SOURCEFILE% w katalogu %SOURCEPATH%
echo i uruchom skrypt wg podanej poniezej skladni.
echo.
echo Skladnia:
echo FBSWorkerInstall NAZWA_LUB_ADRES_SERWERA_BACKUPU
exit /B 1)


echo.
echo Plik zrodlowy: %SOURCEPATH%%SOURCEFILE%
echo Katalog docelowy: %INSTALLPATH%
echo Nazwa lub adres IP serwera backupu: %1

echo.
echo * Weryfikacja pliku zrodlowego...
if NOT EXIST %SOURCEPATH%%SOURCEFILE% ( 
echo Plik %SOURCEPATH%%SOURCEFILE% nie istnieje.
echo Plik ten musi znajdowac sie w tym samym katalogu, co skrypt instalacyjny.
goto ERROR )

echo.
echo * Weryfikacja polaczenia z serwerem backupu...
ping  -n 1 -l 65000 %1

if ERRORLEVEL 1 goto ERROR

echo.
echo ** Tworzenie katalogu docelowego...
if NOT EXIST %INSTALLPATH% (mkdir %INSTALLPATH%) ELSE (echo Katalog docelowy juz istnieje)

if ERRORLEVEL 1 goto ERROR

echo.
echo *** Kopiowanie pliku FBSWorker.exe
copy %SOURCEPATH%%SOURCEFILE% %INSTALLPATH%

if ERRORLEVEL 1 goto ERROR

echo.
echo **** Uruchomienie programu w lokalizacji docelowej z parametrem INSTALL
%INSTALLPATH%\%SOURCEFILE% /install /silent /hostname:%1

if ERRORLEVEL 1 goto ERROR


echo.
echo **** Uruchomienie programu w lokalizacji docelowej z parametrem START
%INSTALLPATH%\%SOURCEFILE% /start

if ERRORLEVEL 1 goto ERROR

:OK
echo.
echo Instalacja zakonczona powodzeniem
exit /B 0

:ERROR
echo.
echo Instalacja nie powiodla sie!

